TomcatServer (Grails 2.2.5)
Date: 2014-03-04

Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | PROPERTY | CONSTR | METHOD | DETAIL: FIELD | PROPERTY | CONSTR | METHOD

## org.grails.plugins.tomcat
[Groovy] Class TomcatServer

    java.lang.Object
      org.grails.plugins.tomcat.TomcatServer

All Implemented Interfaces:
  EmbeddableServer

    abstract class TomcatServer

Provides common functionality for the inline and isolated variants of tomcat server.

See Also:
  IsolatedWarTomcatServer
  InlineExplodedTomcatServer

Field Summary
`protected BuildSettings` | `buildSettings`
`protected java.lang.String` | `keyPassword`
`protected java.io.File` | `keystoreFile`
`protected PluginBuildSettings` | `pluginSettings`
`protected java.io.File` | `tomcatDir`
`protected java.lang.String` | `trustPassword`
`protected java.lang.String` | `truststore`
`protected java.io.File` | `truststoreFile`
`protected boolean` | `usingUserKeystore`
`protected java.io.File` | `workDir`

Property Summary
`GrailsBuildEventListener` | `eventListener`
`java.lang.Object` | `grailsConfig`

Constructor Summary
`TomcatServer()`

Method Summary
`protected boolean` | `checkAndInitializingClasspathScanning()`
`protected java.lang.Object` | `createSSLCertificate()`
`protected void` | `doStart(java.lang.String host, int httpPort, int httpsPort)` The host and port params will never be null, defaults will be passed if necessary.
`protected java.lang.Object` | `getConfigParam(java.lang.String name)`
`protected java.util.Map` | `getConfigParams()`
`protected java.io.File` | `getWorkDirFile(java.lang.String path)`
`void` | `restart()`
`void` | `start()`
`void` | `start(int port)`
`void` | `start(java.lang.String host, int port)`
`void` | `startSecure()`
`void` | `startSecure(int port)`
`void` | `startSecure(java.lang.String host, int httpPort, int httpsPort)`
`void` | `stop()` Shutdown the server.

Methods inherited from class java.lang.Object
java.lang.Object#wait(), java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Field Detail

### buildSettings

    protected final BuildSettings buildSettings

### keyPassword

    protected final java.lang.String keyPassword

### keystoreFile

    protected final java.io.File keystoreFile

### pluginSettings

    protected final PluginBuildSettings pluginSettings

### tomcatDir

    protected final java.io.File tomcatDir

### trustPassword

    protected java.lang.String trustPassword

### truststore

    protected java.lang.String truststore

### truststoreFile

    protected java.io.File truststoreFile

### usingUserKeystore

    protected final boolean usingUserKeystore

### workDir

    protected final java.io.File workDir

Property Detail

### eventListener

    GrailsBuildEventListener eventListener

### grailsConfig

    java.lang.Object grailsConfig

Constructor Detail

### TomcatServer

    TomcatServer()

Method Detail

### checkAndInitializingClasspathScanning

    protected boolean checkAndInitializingClasspathScanning()

### createSSLCertificate

    protected java.lang.Object createSSLCertificate()

### doStart

    protected void doStart(java.lang.String host, int httpPort, int httpsPort)

  The host and port params will never be null, defaults will be passed if necessary. If httpsPort is > 0, the server should listen for https requests on that port.

### getConfigParam

    protected java.lang.Object getConfigParam(java.lang.String name)

### getConfigParams

    protected java.util.Map getConfigParams()

### getWorkDirFile

    protected java.io.File getWorkDirFile(java.lang.String path)

### restart

    void restart()

### start

    void start()

### start

    void start(int port)

### start

    void start(java.lang.String host, int port)

### startSecure

    void startSecure()

### startSecure

    void startSecure(int port)

### startSecure

    void startSecure(java.lang.String host, int httpPort, int httpsPort)

### stop

    void stop()

  Shutdown the server.

Groovy Documentation